<?php
/**
* Additional Woocommerce Settings.
*
* @package Training Institute Academy
*/

$training_institute_academy_default = training_institute_academy_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'training_institute_academy_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'training-institute-academy' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'training_institute_academy_theme_option_panel',
	)
);

	$wp_customize->add_setting('training_institute_academy_per_columns',
		array(
		'default'           => $training_institute_academy_default['training_institute_academy_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'training_institute_academy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('training_institute_academy_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'training-institute-academy'),
		'section'     => 'training_institute_academy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('training_institute_academy_product_per_page',
		array(
		'default'           => $training_institute_academy_default['training_institute_academy_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'training_institute_academy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('training_institute_academy_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'training-institute-academy'),
		'section'     => 'training_institute_academy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('training_institute_academy_show_hide_related_product',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('training_institute_academy_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'training-institute-academy'),
	        'section' => 'training_institute_academy_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('training_institute_academy_custom_related_products_number',
		array(
		'default'           => $training_institute_academy_default['training_institute_academy_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'training_institute_academy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('training_institute_academy_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'training-institute-academy'),
		'section'     => 'training_institute_academy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('training_institute_academy_custom_related_products_number_per_row',
		array(
		'default'           => $training_institute_academy_default['training_institute_academy_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'training_institute_academy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('training_institute_academy_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'training-institute-academy'),
		'section'     => 'training_institute_academy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);